Update lot
Update an existing lot
Also accepts PATCH with the same body.
PUT
/
admin
/
api
/
v1
/
inventories
/
lots
/
{id}
Update lot
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/inventories/lots/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "LOT-2026-001",
"product_id": 1,
"reference": "BATCH-A1",
"description": "Primary production batch."
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/lots/{id}"
payload = {
"name": "LOT-2026-001",
"product_id": 1,
"reference": "BATCH-A1",
"description": "Primary production batch."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'LOT-2026-001',
product_id: 1,
reference: 'BATCH-A1',
description: 'Primary production batch.'
})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/lots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/lots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'LOT-2026-001',
'product_id' => 1,
'reference' => 'BATCH-A1',
'description' => 'Primary production batch.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "LOT/0001/2021",
"description": "<p></p>",
"reference": null,
"properties": null,
"expiry_reminded": false,
"expiration_date": null,
"use_date": null,
"removal_date": null,
"alert_date": null,
"created_at": "2026-02-26T05:40:23.000000Z",
"updated_at": "2026-02-26T05:40:46.000000Z"
},
"message": "Lot updated successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Success
⌘I
Update lot
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/inventories/lots/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "LOT-2026-001",
"product_id": 1,
"reference": "BATCH-A1",
"description": "Primary production batch."
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/lots/{id}"
payload = {
"name": "LOT-2026-001",
"product_id": 1,
"reference": "BATCH-A1",
"description": "Primary production batch."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'LOT-2026-001',
product_id: 1,
reference: 'BATCH-A1',
description: 'Primary production batch.'
})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/lots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/lots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'LOT-2026-001',
'product_id' => 1,
'reference' => 'BATCH-A1',
'description' => 'Primary production batch.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "LOT/0001/2021",
"description": "<p></p>",
"reference": null,
"properties": null,
"expiry_reminded": false,
"expiration_date": null,
"use_date": null,
"removal_date": null,
"alert_date": null,
"created_at": "2026-02-26T05:40:23.000000Z",
"updated_at": "2026-02-26T05:40:46.000000Z"
},
"message": "Lot updated successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}